# Edkit

Lightweight **Rich Text Editor** toolkit based on [TypeScript][1]

[![NPM Dependency](https://david-dm.org/idea2app/Edkit.svg)][2]
[![CI & CD](https://github.com/idea2app/Edkit/workflows/CI%20&%20CD/badge.svg)][3]

[![NPM](https://nodei.co/npm/edkit.png?downloads=true&downloadRank=true&stars=true)][4]

## Demo

https://ideapp.dev/React-MobX-Bootstrap-ts/#/component

## Usage

### Application developers

1. [React + Bootstrap](https://github.com/idea2app/Edkit/tree/master/React/)
2. WebCell + Bootstrap

### Library developers

[Example with React](https://github.com/idea2app/Edkit/tree/master/React/source/)

## Tools

### Text

1. [Bold](https://ideapp.dev/Edkit/classes/tools_text.boldtool.html)
2. [Italic](https://ideapp.dev/Edkit/classes/tools_text.italictool.html)
3. [Underline](https://ideapp.dev/Edkit/classes/tools_text.underlinetool.html)
4. [Strike through](https://ideapp.dev/Edkit/classes/tools_text.strikethroughtool.html)
5. [H1](https://ideapp.dev/Edkit/classes/tools_text.h1tool.html)
6. [H2](https://ideapp.dev/Edkit/classes/tools_text.h2tool.html)
7. [H3](https://ideapp.dev/Edkit/classes/tools_text.h3tool.html)
8. [Font Size down](https://ideapp.dev/Edkit/classes/tools_text.fontsizedowntool.html)
9. [Font Size up](https://ideapp.dev/Edkit/classes/tools_text.fontsizeuptool.html)
10. [Subscript](https://ideapp.dev/Edkit/classes/tools_text.subscripttool.html)
11. [Superscript](https://ideapp.dev/Edkit/classes/tools_text.superscripttool.html)
12. [Link](https://ideapp.dev/Edkit/classes/tools_text.linktool.html)

### Color

1. [Fore Color](https://ideapp.dev/Edkit/classes/tools_color.forecolortool.html)
2. [Back Color](https://ideapp.dev/Edkit/classes/tools_color.backcolortool.html)

### Layout

1. [Align Left](https://ideapp.dev/Edkit/classes/tools_layout.alignlefttool.html)
2. [Align Center](https://ideapp.dev/Edkit/classes/tools_layout.aligncentertool.html)
3. [Align Right](https://ideapp.dev/Edkit/classes/tools_layout.alignrighttool.html)
4. [Align Full](https://ideapp.dev/Edkit/classes/tools_layout.alignfulltool.html)
5. [Ordered list](https://ideapp.dev/Edkit/classes/tools_layout.orderedlisttool.html)
6. [Unordered list](https://ideapp.dev/Edkit/classes/tools_layout.unorderedlisttool.html)
7. [Horizontal rule](https://ideapp.dev/Edkit/classes/tools_layout.horizontalruletool.html)

### Media

1. [Embed Web page](https://ideapp.dev/Edkit/classes/tools_media.iframetool.html)
2. [Image](https://ideapp.dev/Edkit/classes/tools_media.imagetool.html)
3. [Audio](https://ideapp.dev/Edkit/classes/tools_media.audiotool.html)
4. [Video](https://ideapp.dev/Edkit/classes/tools_media.videotool.html)

### Control

1. [Undo](https://ideapp.dev/Edkit/classes/tools_control.undotool.html)
2. [Redo](https://ideapp.dev/Edkit/classes/tools_control.redotool.html)
3. [Reset](https://ideapp.dev/Edkit/classes/tools_control.resettool.html)
4. [Clear](https://ideapp.dev/Edkit/classes/tools_control.cleartool.html)

[1]: https://www.typescriptlang.org/
[2]: https://david-dm.org/idea2app/Edkit
[3]: https://github.com/idea2app/Edkit/actions
[4]: https://nodei.co/npm/edkit/
