export declare function getAnchorElement(): HTMLElement;
export declare abstract class Tool {
    abstract name: string;
    abstract icon: string;
    tags?: string[];
    keys?: string[];
    command?: string;
    inputs?: string[];
    get usable(): boolean;
    protected getActive(): boolean;
    get active(): boolean;
    get title(): string;
    protected edit(editor: HTMLElement, ...data: any[]): void;
    execute(editor: HTMLElement, ...data: any[]): void;
    /**
     * Render a Tool control
     *
     * @param editor An `HTMLElement` object or its wrapper for `[contenteditable="true"]`
     *
     * @returns Virtual DOM of UI engines
     */
    abstract render(editor: any): any;
}
export declare abstract class FileTool extends Tool {
    save(data: Blob): Promise<string>;
    codeOf(path: string): string;
    execute(editor: HTMLElement): Promise<void>;
}
