import { Tool } from '../Tool';
export declare type AlignMode = 'left' | 'center' | 'right' | 'justify';
export declare abstract class AlignTool extends Tool {
    abstract align: AlignMode;
    get active(): boolean;
}
export declare abstract class AlignLeftTool extends AlignTool {
    name: string;
    command: string;
    align: AlignMode;
}
export declare abstract class AlignCenterTool extends AlignTool {
    name: string;
    command: string;
    align: AlignMode;
}
export declare abstract class AlignRightTool extends AlignTool {
    name: string;
    command: string;
    align: AlignMode;
}
export declare abstract class AlignFullTool extends AlignTool {
    name: string;
    command: string;
    align: AlignMode;
}
export declare abstract class OrderedListTool extends Tool {
    name: string;
    tags: string[];
    command: string;
}
export declare abstract class UnorderedListTool extends Tool {
    name: string;
    tags: string[];
    command: string;
}
export declare abstract class HorizontalRuleTool extends Tool {
    name: string;
    tags: string[];
    command: string;
}
